Skip to main content
GET
/
merlin
/
pending
/
auto-approvable
Get files eligible for auto-approval
curl --request GET \
  --url https://api.royalti.io/merlin/pending/auto-approvable \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/merlin/pending/auto-approvable"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/merlin/pending/auto-approvable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filePath": "/royalties/202401/DistroKid-202401.csv",
      "fileName": "<string>",
      "fileSize": 123,
      "contentHash": "<string>",
      "pathHash": "<string>",
      "confidenceScore": 0.87,
      "confidenceBreakdown": {
        "fileNaming": 123,
        "fileSize": 123,
        "dspFolder": 123,
        "headerFormat": 123,
        "periodDetection": 123,
        "sourceDetection": 123,
        "historicalSuccess": 123
      },
      "detectedDSP": "DistroKid",
      "detectedPeriod": "202401",
      "confirmedAccountingPeriod": "2024-01",
      "createdAt": "2023-11-07T05:31:56Z",
      "approvedAt": "2023-11-07T05:31:56Z",
      "approvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "count": 123
}
{
"status": "error",
"message": "Unauthorized"
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Code Examples

const response = await fetch('https://api.royalti.io/merlin/pending/auto-approvable', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get(
  'https://api.royalti.io/merlin/pending/auto-approvable',
  headers={
    'Authorization': f'Bearer {token}'
  },
)

data = response.json()
print(data)
curl -X GET https://api.royalti.io/merlin/pending/auto-approvable \
  -H "Authorization: Bearer YOUR_TOKEN" \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Response

Auto-approvable files

success
boolean
data
object[]
count
integer